#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    const int bytesCount = 16;
    QString inputMask;
    for(int i =0;i<bytesCount;i++){
        inputMask+=tr("HH ");
    }
    inputMask.remove(inputMask.length()-1,1);
    inputMask.append(tr(";0"));
    ui->lineEdit->setInputMask(inputMask);
}

MainWindow::~MainWindow()
{
    delete ui;
}
